{
    "version": "0.1",
    "import": ["node_modules/@generalprotocols/cspell-dictionary/cspell.json"],
    "words": ["lcov"],

    // Define Regular Expression Patterns.
    "patterns": [
        {
            "name": "cashAddresses",
            "pattern": "bitcoincash:[A-z0-9]+"
        },
        {
            "name": "legacyAddresses",
            "pattern": "1[A-z0-9]{33}"
        }
    ],

    // Ignore the following patterns.
    "ignoreRegExpList": ["cashAddresses", "legacyAddresses"],

    // TODO: Some of these should be defined inline in files if possible.
    //       However, CSpell does not seem to be abiding by inline annotations.
    "ignoreWords": ["hopcash", "camelcase", "CODEOWNERS", "dspid", "blocktime", "blockhash", "Lockscript", "listunspent", "dsproof", "bchn", "getdsproofscore", "gettransaction", "pushdata"]
}
